---
layout: post
title: "Apache Arrow 0.11.0 Release"
date: "2018-10-09 00:00:00 -0400"
author: wesm
categories: [release]
---
<!--
{% comment %}
Licensed to the Apache Software Foundation (ASF) under one or more
contributor license agreements.  See the NOTICE file distributed with
this work for additional information regarding copyright ownership.
The ASF licenses this file to you under the Apache License, Version 2.0
(the "License"); you may not use this file except in compliance with
the License.  You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
{% endcomment %}
-->

The Apache Arrow team is pleased to announce the 0.11.0 release. It is the
product of 2 months of development and includes [**287 resolved
issues**][1].

See the [Install Page][2] to learn how to get the libraries for your
platform. The [complete changelog][3] is also available.

We discuss some highlights from the release and other project news in this
post.

## Arrow Flight RPC and Messaging Framework

We are developing a new Arrow-native RPC framework, Arrow Flight, based on
[gRPC][11] for high performance Arrow-based messaging. Through low-level
extensions to gRPC's internal memory management, we are able to avoid expensive
parsing when receiving datasets over the wire, unlocking unprecedented levels
of performance in moving datasets from one machine to another. We will be
writing more about Flight on the Arrow blog in the future.

Prototype implementations are available in Java and C++, and we will be focused
in the coming months on hardening the Flight RPC framework for enterprise-grade
production use cases.

## Parquet and Arrow C++ communities joining forces

After discussion over the last year, the Apache Arrow and Apache Parquet C++
communities decide to merge the Parquet C++ codebase into the Arrow C++
codebase and work together in a "monorepo" structure. This should result in
better developer productivity in core Parquet work as well as in Arrow
integration.

Before this codebase merge, we had a circular dependency between the Arrow and
Parquet codebases, since the Parquet C++ library is used in the Arrow Python
library.

## Gandiva LLVM Expression Compiler donation

[Dremio Corporation][5] has donated the [Gandiva][6] LLVM expression compiler
to Apache Arrow. We will be working on cross-platform builds, packaging, and
language bindings (e.g. in Python) for Gandiva in the upcoming 0.12 release and
beyond. We will write more about Gandiva in the future.

## Parquet C GLib Bindings Donation

PMC member [Kouhei Sutou][7] has donated GLib bindings for the Parquet C++
libraries, which are designed to work together with the existing Arrow GLib
bindings.

## C++ CSV Reader Project

We have begun developing a general purpose multithreaded CSV file parser in
C++. The purpose of this library is to parse and convert comma-separated text
files into Arrow columnar record batches as efficiently as possible. The
prototype version features Python bindings, and any language that can use the
C++ libraries (including C, R, and Ruby).

## New MATLAB bindings

[The MathWorks][12] has contributed an initial MEX file binding to the Arrow
C++ libraries. Initially, it is possible to read Arrow-based Feather files in
MATLAB. We are looking forward to seeing more developments for MATLAB users.

## R Library in Development

The community has begun implementing [R language bindings and interoperability][8]
with the Arrow C++ libraries. This will include support for zero-copy shared
memory IPC and other tools needed to improve R integration with Apache Spark
and more.

## Support for CUDA-based GPUs in Python

This release includes Python bindings to the Arrow CUDA integration C++
library. This work is targeting interoperability with [Numba][9] and the [GPU
Open Analytics Initiative][10].

## Upcoming Roadmap

In the coming months, we will continue to make progress on many fronts, with
Gandiva packaging, expanded language support (especially in R), and improved
data access (e.g. CSV, Parquet files) in focus.

[1]: https://issues.apache.org/jira/issues/?jql=project%20%3D%20ARROW%20AND%20status%20in%20(Resolved%2C%20Closed)%20AND%20fixVersion%20%3D%200.11.0
[2]: https://arrow.apache.org/install
[3]: https://arrow.apache.org/release/0.11.0.html
[4]: https://www.apache.org/dyn/closer.cgi/arrow/arrow-0.11.0/binaries
[5]: http://dremio.com
[6]: http://github.com/dremio/gandiva
[7]: https://github.com/kou
[8]: https://github.com/apache/arrow/tree/master/r
[9]: https://github.com/numba/numba
[10]: http://gpuopenanalytics.com/
[11]: http://grpc.io
[12]: https://mathworks.com